Skip to main content
Back to API List To update the user details.
This API requires JWT generated by an application created only from the Admin Console.
FieldValue
MethodPUT
Endpointhttps://{{host}}/api/public/users
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: User Management > User Management

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai

Sample Request

curl -X PUT 'https://{{host}}/api/public/users' \
  -H 'Content-Type: application/json' \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -d '{
    "users": [
        {
            "userInfo": {
                "emailId": "john.doe@example.com",
                "firstName":"john",
                "lastName":"doe",
                "companyName":"company_name",
                "dept":"dept",
                "companyContactPhone":"12334444",
                "worknumber":"321",
                "street":"street",
                "suiteNo":"suite",
                "city":"city",
                "zip":"123123",
                "state":"state",
                "country":"country"
            },
            "groups": {
                "addTo": [
                    "e-f9c09c08-9310-52ff-b672-570ec7325215"
                ]
            },
            "roles": {
                "addTo": [
                    {
                        "roleId": "5d9d8db3x0d54920a8df1e68b",
                        "botId": "st-b8525f88-6dd3-54a7-8a97-734ecb748733"
                    }
                ],
                "removeFrom": [
                    {
                        "roleId": "5d9d920dabdc1e6e8ec99342",
                        "botId": "st-16511425-15c5-5cdf-b652-a796db7d134b"
                    }
                ]
            },
            "canCreateBot": true,
            "isDeveloper": true
        }
    ]
}'

Body Parameters

ParameterRequiredDescription
usersRequiredThe array of details for each user that need to be updated.
userInfo.emailId or userInfo.orgUserIdRequiredEmail IDs or the org user ID of the user being updated.
userInfo.firstNameOptionalFirst name of the user if needs to be updated.
userInfo.lastNameOptionalLast name of the user if needs to be updated.
userInfo.companyNameOptionalCompany to which the user needs to be updated.
userInfo.deptOptionalDepartment to which the user needs to be updated.
userInfo.companyContactPhoneOptionalContact Phone of the Company to which the user belongs.
userInfo.worknumberOptionalWork number of the user if needs to be updated.
userInfo.streetOptionalStreet Address of the user if needs to be updated.
userInfo.suiteNoOptionalSuite No Address of the user if needs to be updated.
userInfo.cityOptionalCity Address of the user if needs to be updated.
userInfo.zipOptionalZip Address of the user if needs to be updated.
userInfo.stateOptionalState Address of the user if needs to be updated.
userInfo.countryOptionalCountry Address of the user if needs to be updated.
groupsOptionalArray of group IDs to which the user needs to be added (addTo) or removed (removeFrom).
rolesOptionalArray of roleId-botId combinations to which the user needs to be added (addTo) or removed (removeFrom).
assignBotTasksOptionalArray of AI Agents to be assigned to the user. If not present, the current assignment will be retained.
canCreateBotOptionalDetermines if the specified users can create AI Agents. Default: true.
isDeveloperOptionalDetermines if the specified users can have access to App Builder. Default: true.

Sample Response

{
    "msg": "Users are updated Successfully"
}